%global modname fmn.rules

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-rules
Version:            0.3.0
Release:            1%{?dist}
Summary:            Message processing rules for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.rules
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      fedmsg
BuildRequires:      python-fedmsg-meta-fedora-infrastructure
BuildRequires:      python-fedora
BuildRequires:      python-nose
BuildRequires:      python-dogpile-cache

Requires:           fedmsg
Requires:           python-fedmsg-meta-fedora-infrastructure
Requires:           python-fedora
Requires:           python-dogpile-cache

%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This module contains the set of "rules" fmn uses to process messages.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Latest upstream.
- Remove patch.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-2
- Apply patch to fix a typo in the new regex rule.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Latest upstream.

* Mon Jul 14 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- More granular COPRs rules.

* Wed Jun 11 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Latest upstream.
- Switches caching mechanism back to user-centric.
- Attempts to invalidate cache more intelligently.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Latest upstream with fixes mostly for pkgdb2.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Package-centric caching (over user-centric caching).

* Fri May 16 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Fixes for pkgdb2 support.
- Remove pkgdb1 code.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.1.6-1
- Add new rules with regex matching.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Latest upstream release adding support for scratch builds.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Upstream release.
- Added new dep on python-dogpile-cache.

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Upstream release.

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.2-1
- initial package for Fedora
